---
inputType: "CA10__CaAwsAcmCertificate__c"
testData:
  - file: test-data.json
importExtracts:
  - file: /types/CA10__CaAwsAcmCertificate__c/object.extracts.yaml
conditions:
  - status: "INCOMPLIANT"
    currentStateMessage: "This certificate is expired."
    remediationMessage: "Delete, re-import or renew the expired certificate."
    check:
      IS_EQUAL:
        left:
          EXTRACT: "CA10__status__c"
        right:
          TEXT: "EXPIRED"
otherwise:
  status: "COMPLIANT"
  currentStateMessage: "The certificate is not expired."
